#!/bin/sh
# test f8 input by files via ( ../f8 < file )
# select files:
#	no arg		all f8t-{num}.seq
# 	2 digits num	single f8t-{num}.seq
# 	filename	single file of this pattern

s="${1}"
p="${2}"
[ -z "${s}" ]||$(echo ${s}|grep .seq >/dev/null)||s=f8t-${s}.seq
[ -z "${p}" ]&&p=../f8

date>t.dun

echo '
	Terminate test sequence w/ (multiple) "<CTR>/C", at any time.
	To proceding if a test failed rename the rsp. file to something 
	which doesn'"'t end w/ a number.


	- <enter> to continue -
	";read i

for i in $(ls -1 *[^0].seq)
do
    { [ -z "${s}" ]||{ [ -n "${s}" ]&&[ "${i}" == ${s} ]; }; }&&
    {
	echo ${i}|tee -a t.dun
	${p}<./${i}||true;wait;echo -e "\n\n${i} : \a\"q\" => quit, other key => next";read c
	[ "${c}" == "q" ]&&exit 0
    }||true
done

# t.sh # eof #
